> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an Unmanaged Access Code

> Deletes an [unmanaged access code](https://docs.seam.co/low-level-apis/smart-locks/access-codes/migrating-existing-access-codes).



## OpenAPI

````yaml /openapi.json post /access_codes/unmanaged/delete
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /access_codes/unmanaged/delete:
    post:
      tags:
        - /access_codes
      summary: Delete an Unmanaged Access Code
      description: >-
        Deletes an [unmanaged access
        code](https://docs.seam.co/low-level-apis/smart-locks/access-codes/migrating-existing-access-codes).
      operationId: accessCodesUnmanagedDeletePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                access_code_id:
                  description: ID of the unmanaged access code that you want to delete.
                  format: uuid
                  type: string
                sync:
                  default: false
                  type: boolean
                  x-undocumented: Only used internally.
              required:
                - access_code_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  action_attempt:
                    type: object
                    description: >-
                      Tracks the progress of this operation. Poll using the
                      action_attempt_id.
                    properties:
                      action_attempt_id:
                        type: string
                        format: uuid
                        description: ID of the action attempt.
                      action_type:
                        type: string
                        enum:
                          - DELETE_ACCESS_CODE
                        description: Type of action being tracked.
                      status:
                        type: string
                        enum:
                          - pending
                          - success
                          - error
                        description: Current status of the action.
                      result:
                        type: object
                        nullable: true
                        description: Result payload on success.
                      error:
                        type: object
                        nullable: true
                        description: Error details on failure.
                        properties:
                          type:
                            type: string
                          message:
                            type: string
                    required:
                      - action_attempt_id
                      - action_type
                      - status
                  ok:
                    type: boolean
                required:
                  - action_attempt
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - client_session: []
        - client_session_with_customer: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.accessCodes.unmanaged.delete({
              access_code_id: "95d54d42-477b-49d6-bd3a-5e8a40a5a78f",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/access_codes/unmanaged/delete" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "access_code_id": "95d54d42-477b-49d6-bd3a-5e8a40a5a78f"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.access_codes.unmanaged.delete(
                access_code_id="95d54d42-477b-49d6-bd3a-5e8a40a5a78f"
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.access_codes.unmanaged.delete(access_code_id:
            "95d54d42-477b-49d6-bd3a-5e8a40a5a78f")


            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->access_codes->unmanaged->delete(
                access_code_id: "95d54d42-477b-49d6-bd3a-5e8a40a5a78f",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam access-codes unmanaged delete --access_code_id
            "95d54d42-477b-49d6-bd3a-5e8a40a5a78f"


            # {}
components:
  securitySchemes:
    client_session:
      bearerFormat: Client Session Token
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````